:root {
    --bg-color-primary: #000000;
    --bg-color-secondary: #0a0a0a;
    --bg-color-tertiary: #202020;
    --bg-color-quaternary: #8a8a8a;

    --text-color-primary: #ffffff;
    --text-color-secondary: #8a8a8a;

    --default-color-primary: #0188E0;
    --default-color-secondary: #FF0063;
}

.single-line {
    white-space: nowrap;
}

.no-click {
    pointer-events: none;
}

.hidden {
    display: none !important;
}

.censored{
    filter:blur(25px);
}

.censored-wrapper {
    position: relative;
    width: 100%;
    height: 100%;
}

.blur-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    z-index: 2;
    background-color: rgba(0, 0, 0, 0.0);
    gap: 0.5em;
}

.blur-overlay-profile {
    width: calc(25vw + (0.2em * 2));
    max-width: 175px;
    background-color: var(--default-color-primary) !important;
    border-radius: 100%;
    aspect-ratio: 1/1;
}

.blur-overlay-mini {
    width: 75%;
    background-color: var(--default-color-primary) !important;
    left: 12.5%;
    aspect-ratio: 1/1;
    top: 12.5%;
}

/* ============================================== */
/* VISUALIZADOR DE MÍDIAS */
/* ============================================== */

#media-viewer{
    position: fixed;
    inset: 0;

    display: flex;
    align-items: center;
    justify-content: center;

    background: rgba(0,0,0,.9);

    opacity: 0;
    visibility: hidden;

    transition: .2s;

    z-index: 999999;
}

#media-viewer.active{
    opacity: 1;
    visibility: visible;
}

.media-viewer-content{
    width: 95vw;
    height: 95dvh;

    display: flex;
    align-items: center;
    justify-content: center;
}

.media-viewer-content img,
.media-viewer-content video{
    max-width: 100%;
    max-height: 100%;
    border-radius: 12px;
}

#media-viewer-close{
    position: absolute;

    top: 20px;
    right: 20px;

    width: 48px;
    height: 48px;

    border: none;
    border-radius: 50%;

    cursor: pointer;

    font-size: 24px;
}

/* ============================================== */
/* ANÚNCIOS */
/* ============================================== */

.ad-container {
    width: 305px;
    height: 99px;
    overflow: hidden;
    position: relative;
}

.ad-container iframe {
    width: 305px;
    height: 99px !important;
    display: block;
    border: 0;
}